{
    "doc": "This is intended to hold the genotypes for the family members\n    In principle it is a phased zygosity as in VCF spec and called by the analysis provider if further phasing is conducted",
    "fields": [
        {
            "doc": "Participant id of the family member:",
            "name": "gelId",
            "type": "string"
        },
        {
            "doc": "LP Number of the family member:",
            "name": "sampleId",
            "type": "string"
        },
        {
            "doc": "Zygosity",
            "name": "genotype",
            "type": {
                "doc": "It is a representation of the zygosity\n\n* `reference_homozygous`: 0/0, 0|0\n* `heterozygous`: 0/1, 1/0, 1|0, 0|1\n* `alternate_homozygous`: 1/1, 1|1\n* `missing`: ./., .|.\n* `half_missing_reference`: ./0, 0/., 0|., .|0\n* `half_missing_alternate`: ./1, 1/., 1|., .|1\n* `alternate_hemizigous`: 1\n* `reference_hemizigous`: 0\n* `unk`: Anything unexpected",
                "name": "Zygosity",
                "symbols": [
                    "reference_homozygous",
                    "heterozygous",
                    "alternate_homozygous",
                    "missing",
                    "half_missing_reference",
                    "half_missing_alternate",
                    "alternate_hemizigous",
                    "reference_hemizigous",
                    "unk"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Phase set of variants when variants are phased",
            "name": "phaseSet",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Depth for Reference Allele",
            "name": "depthReference",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Depth for Alternate Allele",
            "name": "depthAlternate",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Copy number genotype for imprecise events",
            "name": "copyNumber",
            "type": [
                "null",
                "int"
            ]
        }
    ],
    "name": "CalledGenotype",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}